#ifndef AccountStatistik_H
#define AccountStatistik_H

#include <Thread.h>
#include <Tabelle.h>
#include <Fenster.h>
#include <AuswahlBox.h>
#include <Animation.h>

using namespace Framework;

class AccountStatistik : public Thread
{
private:
	Schrift *schrift;
	Fenster *statistikF;
	AuswahlBox *sortSpalte;
	AuswahlBox *sortRichtung;
	Knopf *zurück;
	Knopf *vor;
	TextFeld *seiteTF;
	ObjTabelle *tabelle;
	Animation2D *laden;
	int seite;
	int maxSeite;
	int status;
	int accId;
	int animation;
	unsigned char alpha;
	double tickVal;
	bool rend;
	int ref;

public:
	// Konstruktor
	AccountStatistik( Schrift *zSchrift );
	// Destruktor
	~AccountStatistik();
	// nicht constant
	void reset( bool überschrift = 0 );
	void ladeStatistik( int accId );
	virtual void thread();
	void setSichtbar( bool sichtbar, bool nachRechts );
	bool vorME( MausEreignis &me );
	bool zurückME( MausEreignis &me );
	bool tick( double zeit );
	void doMausEreignis( MausEreignis &me );
	void render( Bild &zRObj );
	// constant
	int getStatus() const;
	// Reference Counting
	AccountStatistik *getThis();
	AccountStatistik *release();
};

// Ereignisse
bool accountStatistikVorME( void *p, void *o, MausEreignis me );
bool accountStatistikZurückME( void *p, void *o, MausEreignis me );

#endif